## GtkCellRendererSpinner GtkCellRendererSpinner |

## Functions

GtkCellRenderer * | gtk_cell_renderer_spinner_new ()

## Properties

gboolean | active | Read / Write
guint | pulse | Read / Write
GtkIconSize | size | Read / Write

## Types and Values

struct | GtkCellRendererSpinner

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkCellRenderer
                    ╰── GtkCellRendererSpinner

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_cell_renderer_spinner_new ()

    GtkCellRenderer *
    gtk_cell_renderer_spinner_new (void);

Since: 2.20

## Types and Values

### struct GtkCellRendererSpinner

    struct GtkCellRendererSpinner;

## Property Details

### The `“active”` property

      “active”                   gboolean

Whether the spinner is active (ie. shown) in the cell.

Flags: Read / Write

Default value: FALSE

### The `“pulse”` property

      “pulse”                    guint

Pulse of the spinner.

Flags: Read / Write

Default value: 0

Since: 2.20

### The `“size”` property

      “size”                     GtkIconSize

The GtkIconSize value that specifies the size of the rendered spinner.

Flags: Read / Write

Default value: GTK_ICON_SIZE_MENU

Since: 2.20